Bug Hunting Session
Bug 121084 - Documentation for REGEX function
Summary: Documentation for REGEX function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:6.2.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: HelpGaps-NewFeatures
  Show dependency treegraph
 
Reported: 2018-10-31 14:36 UTC by raal
Modified: 2018-11-29 20:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2018-10-31 14:36:38 UTC
Description:
new function was created, see bug 113977. We need to add documentation to help:
    REGEX( Text ; Expression [ ; [ Replacement ] [ ; Flags ] ] )                                                       

    REGEX(Text;Expression) extracts the first match of Expression in                                                   
    Text. If there is no match, #N/A is returned.

    REGEX(Text;Expression;Replacement) replaces the first match of                                                     
    Expression in Text, not extracted. If there is no match, Text is                                                   
    returned unmodified.

    REGEX(Text;Expression;Replacement;"g") replaces all matches of                                                     
    Expression in Text, not extracted. If there is no match, Text is                                                   
    returned unmodified.

Actual Results:
.

Expected Results:
.


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Commit Notification 2018-11-16 18:17:40 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/7c62f2e63ed7a43014b3a4655bc73153110aedcb%5E%21

tdf#121084 Help page for Calc REGEX function
Comment 2 Commit Notification 2018-11-29 20:18:06 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/5f6e0b4ea97c5011a80613fc21a703d2178a8c6e%5E%21

Occurrence number as REGEX() 4th argument, tdf#113977 tdf#121084
Comment 3 Commit Notification 2018-11-29 20:26:18 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/help/+/ee142eec43e73bac7377380c3c72c31600a20355%5E%21

Occurrence number as REGEX() 4th argument, tdf#113977 tdf#121084